Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 27 Mar 2021 09:29:25 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Order number 9643019492

ITS BEEN 10 days and my order did not arrive!!!! I TRIED TO CANCEL LAST NIGHT AND THE AGENT SAID I CANNOT CANCEL UNTIL IT DID NOT REACH THE STORE! PLEASE TAKE ACTION ALREADY AND I WANT TO CANCEL MY ORDER! I DONT NEED THE LUGGAGES ANYMORE BECAUSE I BOUGHT ANOTHER FROM THE STORE. because online take soooo long! I expected it was like my other purchases that it will only take 2-3days! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2309576